Bug 252270 - ifup/NetworkManager interaction degradation between 2.6.21-1.3194.fc7 and 2.6.22.1-41.fc7
ifup/NetworkManager interaction degradation between 2.6.21-1.3194.fc7 and 2.6...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
8
All Linux
medium Severity low
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-14 21:27 EDT by David Campbell
Modified: 2014-03-16 23:08 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-08 23:50:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Campbell 2007-08-14 21:27:10 EDT
Description of problem:

In the 2.6.21-1.3194.fc7 release, if you have the NetworkManager service
running, then the ifdown and ifup commands work fine.

In the 2.6.22.1-41.fc7 release, if you have the NetworkManager service running,
then the ifdown command works fine but you get errors as below with the ifup
command.

It seems that both the NetworkManager and ifup are running dhclient at the same
time, and that is what is causing the trouble.

Yes, NetworkManager is in the large part meant to be used separately from
ifup/ifdown, but this interaction issue seems to be an unfriendly step
backwards, and there are times when you do want to manually force the interface
to be restarted and don't expect to get these errors.


Version-Release number of selected component (if applicable):

2.6.22.1-41.fc7

How reproducible:

Always

Steps to Reproduce:
1. Allow your network connection to be configured by NetworkManager (I used a
wired ethernet connection)
2. ifdown the network interface
3. ifup the network interface and see errors
  
Actual results:

Here's what I see with 2.6.22.1-41.fc7:

[root@localhost ~]# uname -a
Linux localhost.localdomain 2.6.22.1-41.fc7 #1 SMP Fri Jul 27 18:10:34 EDT 2007
i686 i686 i386 GNU/Linux
[root@localhost ~]# ifdown eth0
[root@localhost ~]# ifup eth0

Determining IP information for eth0.../etc/sysconfig/network-scripts/ifup-eth:
line 273:  6166 Terminated              /sbin/dhclient ${DHCLIENTARGS} ${DEVICE}
 failed.


Here's what I see with the older 2.6.21-1.3194.fc7:

[root@localhost ~]# uname -a
Linux Vigor14 2.6.21-1.3194.fc7 #1 SMP Wed May 23 22:35:01 EDT 2007 i686 i686
i386 GNU/Linux
[root@localhost ~]# ifdown eth0
[root@localhost ~]# ifup eth0

Determining IP information for eth0... done.

[root@localhost ~]# 

Expected results:

No errors
Comment 1 Bill Nottingham 2007-08-29 13:24:36 EDT
Shouldn't make a difference. How is dhclient being terminated?
Comment 2 David Campbell 2007-08-29 18:30:14 EDT
The dhclient isn't being terminated by me.... the termination message is the
error I get from the scripts without any manual intervention.

I presume that the dhclient is being terminated because when ifup runs, it
brings up the network interface, and before the script gets opportunity to run
dhclient, NetworkManager runs dhclient, and then in a moment ifup runs its own
dhclient...so  together they are attempting to run two copies of dhclient
simultaneously which causes problems.
Comment 3 Bill Nottingham 2007-08-29 22:58:12 EDT
Right, but that should be the same in either case with the kernel. If you run
dhclient by hand with the same arguments, does it also fail?
Comment 4 David Campbell 2007-08-30 19:44:41 EDT
If I run dhclient by hand, NetworkManager does indeed kill it off.  Killing off
other dhclient processes whether they are running as invoked from ifup or
directly on the commandline seems to be a feature of NetworkManager, at least in
this version of it.  The ifup script does not gracefully handle having its
dhclient killed off by NetworkManager.
Comment 5 Bill Nottingham 2007-08-30 22:23:09 EDT
And this behavior changed when you upgraded kernels, not with a new NetworkManager?
Comment 6 David Campbell 2007-09-26 19:46:03 EDT
It does seem likely that this changed with a new NetworkManager but I remain
unsure of what component changed to introduce this problem
Comment 7 David Campbell 2007-11-19 23:30:26 EST
This problem also visible on f8 (2.6.23.1-49.fc8)

While NetworkManager running....

[root@localhost ~]# ifdown eth0
[root@localhost ~]# ifup eth0

Determining IP information for eth0...dhclient(3699) is already running - exiting. 
This version of ISC DHCP is based on the release available
on ftp.isc.org.  Features have been added and other changes
have been made to the base software release in order to make
it work better with this distribution.
Please report for this software via the Red Hat Bugzilla site:
    http://bugzilla.redhat.com
exiting.
 failed.

Comment 8 Bug Zapper 2008-11-26 02:41:01 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2009-01-08 23:50:53 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.